This is the multi-page printable view of this section. Click here to print.
CheckClusterResourceSizeForDataOpsServiceUpdate
1 - 1.2
post /v1/data-ops-services/{data_ops_service_id}/validate-resources
Description
Validate Cluster Resource Size for Data Ops Service Update.
State ACTIVE (CURRENT)
| Version | Not Before |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | data_ops_service_id required | data ops service ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
| body | body required | DataOpsServiceValidateResourceRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ClusterResourceCheckResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops-services/{data_ops_service_id}/validate-resources
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.2"
Request body
{
"service_workload": {
"scheduler": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
},
"web_server": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
},
"worker": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
}
}
}
Example HTTP response
Response 200
{
"cpu": "CPU",
"err_code": "",
"memory": "Memory",
"result": ""
}
2 - 1.1
post /v1/data-ops-services/{data_ops_service_id}/validate-resources
Description
Validate Cluster Resource Size for Data Ops Service Update.
State ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|---|
| 1.1 | 20260930 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | data_ops_service_id required | data ops service ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
| body | body required | DataOpsServiceValidateResourceRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ClusterResourceCheckResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops-services/{data_ops_service_id}/validate-resources
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.1"
Request body
{
"service_workload": {
"scheduler": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
},
"web_server": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
},
"worker": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
}
}
}
Example HTTP response
Response 200
{
"cpu": "CPU",
"err_code": "",
"memory": "Memory",
"result": ""
}
3 - 1.0
post /v1/data-ops-services/{data_ops_service_id}/validate-resources
Description
Validate Cluster Resource Size for Data Ops Service Update.
State ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | data_ops_service_id required | data ops service ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
| body | body required | DataOpsServiceValidateResourceRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ClusterResourceCheckResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops-services/{data_ops_service_id}/validate-resources
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.0"
Request body
{
"service_workload": {
"scheduler": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
},
"web_server": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
},
"worker": {
"cpu": "",
"memory": "",
"replica": "",
"version": ""
}
}
}
Example HTTP response
Response 200
{
"cpu": "CPU",
"err_code": "",
"memory": "Memory",
"result": ""
}